## ros-dashing-cloudwatch-logger 3.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(cloudwatch_logger)

# Add support for C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

# Enable strict compiler flags if possible.
include(CheckCXXCompilerFlag)
# Removed -Wmissing-declarations until gmock is ignored
# removed -Werror=pedantic until ros.h is fixed
set(FLAGS -Wno-long-long -Wall -Wextra -Wcast-align -Wcast-qual -Wformat -Wwrite-strings)
foreach(FLAG ${FLAGS})
  check_cxx_compiler_flag(${FLAG} R${FLAG})
  if(${R${FLAG}})
    set(WARNING_CXX_FLAGS "${WARNING_CXX_FLAGS} ${FLAG}")
  endif()
endforeach()

if(NOT DEFINED CXX_DISABLE_WERROR)
  set(WARNING_CXX_FLAGS "-Werror ${WARNING_CXX_FLAGS}")
endif()
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${WARNING_CXX_FLAGS}")

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rcl_interfaces REQUIRED)
find_package(std_srvs REQUIRED)
find_package(aws_common REQUIRED)
find_package(aws_ros2_common REQUIRED)
find_package(cloudwatch_logs_common REQUIRED)
find_package(dataflow_lite REQUIRED)
find_package(file_management REQUIRED)

set(CLOUDWATCH_LOGGER_LIBRARY_TARGET ${PROJECT_NAME}_lib)


###########
## Build ##
###########

add_library(${CLOUDWATCH_LOGGER_LIBRARY_TARGET}
        src/log_node.cpp
        src/log_node_param_helper.cpp
        )
ament_target_dependencies(${CLOUDWATCH_LOGGER_LIBRARY_TARGET}
        rclcpp
        rcl_interfaces
        std_msgs
        std_srvs
        aws_common
        aws_ros2_common
        AWSSDK
        cloudwatch_logs_common
        dataflow_lite
        file_management
        )
## Specify additional locations of header files
include_directories(
        include
        )

## Declare a C++ executable
add_executable(${PROJECT_NAME}
        src/main.cpp
        )
target_link_libraries(${PROJECT_NAME}
        ${CLOUDWATCH_LOGGER_LIBRARY_TARGET}
        )


#############
## Install ##
#############

install(TARGETS ${PROJECT_NAME} ${CLOUDWATCH_LOGGER_LIBRARY_TARGET}
        ARCHIVE DESTINATION lib
        LIBRARY DESTINATION lib
        RUNTIME DESTINATION lib/${PROJECT_NAME}
        )
install(DIRECTORY include/
        DESTINATION include
        FILES_MATCHING PATTERN "*.h"
        )
install(DIRECTORY config/
        DESTINATION share/${PROJECT_NAME}/config
        )
install(DIRECTORY launch/
        DESTINATION share/${PROJECT_NAME}/launch
        )

ament_export_include_directories(include)

ament_export_dependencies(ament_cmake)
ament_export_dependencies(rcl_interfaces)
ament_export_dependencies(rclcpp)
ament_export_dependencies(aws_common)
ament_export_dependencies(aws_ros2_common)
ament_export_dependencies(cloudwatch_logs_common)
ament_export_dependencies(dataflow_lite)
ament_export_dependencies(file_management)

ament_package()


#############
## Tests ##
#############

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)
  
  ament_add_gmock(test_log_node
          test/log_node_test.cpp
          )
  target_include_directories(test_log_node PRIVATE
          include
          ${cloudwatch_logs_common_INCLUDE_DIRS}
          ${dataflow_lite_INCLUDE_DIRS}
          ${file_management_INCLUDE_DIRS}
          ${AWSSDK_INCLUDE_DIRS}
          ${aws_common_INCLUDE_DIRS}
          ${rclcpp_INCLUDE_DIRS}
          )
  target_link_libraries(test_log_node
          ${CLOUDWATCH_LOGGER_LIBRARY_TARGET}
          )

  ament_add_gmock(test_log_node_param_helper
          test/log_node_param_helper_test.cpp
          )
  target_include_directories(test_log_node_param_helper PRIVATE
          include
          ${cloudwatch_logs_common_INCLUDE_DIRS}
          ${dataflow_lite_INCLUDE_DIRS}
          ${file_management_INCLUDE_DIRS}
          ${AWSSDK_INCLUDE_DIRS}
          ${aws_common_INCLUDE_DIRS}
          ${rclcpp_INCLUDE_DIRS}
          )
  target_link_libraries(test_log_node_param_helper
          ${CLOUDWATCH_LOGGER_LIBRARY_TARGET}
          )
endif()

=== debian/changelog ===
ros-dashing-cloudwatch-logger (3.0.1-1bionic) bionic; urgency=high

  * Bump package version to 3.0.1 (#14 <https://github.com/aws-robotics/cloudwatchlogs-ros2/issues/14>)
  * Fix linting issues found by clang-tidy 6.0 (#12 <https://github.com/aws-robotics/cloudwatchlogs-ros2/issues/12>)
    * clang-tidy fixes
    * clang-tidy linting issues fixed manually
  * Contributors: Miaofei Mei, Ryan Newell

 -- AWS RoboMaker <ros-contributions@amazon.com>  Tue, 31 Mar 2020 00:00:00 -0000

ros-dashing-cloudwatch-logger (3.0.0-1bionic) bionic; urgency=high

  * remove changelog for new release (#8 <https://github.com/aws-robotics/cloudwatchlogs-ros2/issues/8>)
  * Bump version to 3.0.0, add CHANGELOG and missing dependencies
  * add log node unit test (#5 <https://github.com/aws-robotics/cloudwatchlogs-ros2/issues/5>)
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * Add build depend on std_srvs (#4 <https://github.com/aws-robotics/cloudwatchlogs-ros2/issues/4>)
    * Add build depend on std_srvs
    * Add exec depend on std_srvs
  * Rename ament_cmake_ros to ament_cmake in CMakeLists.txt
  * initial ROS1 to ROS2 conversion
    [WIP] Ros1 conversion
  * address PR comments
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * remove unnecessary files
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * add log_node_param_helper unit test
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * correct the information in the README and cleanup the CMakeLists.txt
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * workaround fastrtps typesupport crash
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * fix "ros2 launch" behavior
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * port cloudwatch_logger offline support to ros2
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * Convert all code, build files, launch files to ROS2.
  * Source from aws-robotics/cloudwatchlogs-ros1 master branch
  * Contributors: AAlon, Avishay Alon, Cameron Evans, M. M, Miaofei

 -- AWS RoboMaker <ros-contributions@amazon.com>  Fri, 06 Sep 2019 00:00:00 -0000

=== debian/control ===
Source: ros-dashing-cloudwatch-logger
Section: misc
Priority: optional
Maintainer: AWS RoboMaker <ros-contributions@amazon.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-cmake-gmock, ros-dashing-aws-common, ros-dashing-aws-ros2-common, ros-dashing-cloudwatch-logs-common, ros-dashing-rcl-interfaces, ros-dashing-rclcpp, ros-dashing-std-srvs, ros-dashing-ros-workspace
Homepage: http://wiki.ros.org/cloudwatch_logger
Standards-Version: 3.9.2

Package: ros-dashing-cloudwatch-logger
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-aws-common, ros-dashing-aws-ros2-common, ros-dashing-cloudwatch-logs-common, ros-dashing-launch, ros-dashing-launch-ros, ros-dashing-rclcpp, ros-dashing-std-srvs, ros-dashing-ros-workspace
Description: CloudWatch Logger node for publishing logs to AWS CloudWatch Logs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-cloudwatch-logger//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
